// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef __OB_BalancerServer_h__
#define __OB_BalancerServer_h__

#include <OB/Balancer.h>

namespace LoadBalancing
{

//
// Forward declarations
//
class GroupFactory_impl;
class ReplicaLocator;

class BalancerServer
{
    //
    // The group factory
    //
    GroupFactory_impl* factoryImpl_;

    //
    // The replica locator
    //
    ReplicaLocator* locatorImpl_;

public:

    BalancerServer(CORBA::ORB_ptr);
    ~BalancerServer();

    //
    // Get the group factory.
    //
    GroupFactory_ptr groupFactory();
};

} // End namespace LoadBalancing

#endif
