// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef __OB_StrategyFactory_fwd_h__
#define __OB_StrategyFactory_fwd_h__

#include <OB/Template.h>

namespace LoadBalancing
{

class StrategyFactory;
typedef StrategyFactory* StrategyFactory_ptr;
typedef StrategyFactory_ptr StrategyFactoryRef;

} // End of namespace LoadBalancing

void OBDuplicate(LoadBalancing::StrategyFactory_ptr);
void OBRelease(LoadBalancing::StrategyFactory_ptr);

namespace LoadBalancing
{

typedef OB::ObjVar< StrategyFactory > StrategyFactory_var;
typedef OB::ObjOut< StrategyFactory > StrategyFactory_out;

} // End of namespace LoadBalancing

#endif

