// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#include <OB/CORBA.h>

#include <MemberObject_impl.h>

MemberObject_impl::MemberObject_impl(PortableServer::POA_ptr poa,
				     const char* id)
    : poa_(PortableServer::POA::_duplicate(poa)), id_(id)
{
}

PortableServer::POA_ptr
MemberObject_impl::_default_POA()
{
    return PortableServer::POA::_duplicate(poa_);
}

char*
MemberObject_impl::get_id()
    throw(CORBA::SystemException)
{
    return CORBA::string_dup(id_);
}

