// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef __MemberObject_impl_h__
#define __MemberObject_impl_h__

#include <MemberObject_skel.h>

class MemberObject_impl : public POA_MemberObject,
			  public PortableServer::RefCountServantBase
{
    PortableServer::POA_var poa_;
    CORBA::String_var id_;

public:
    MemberObject_impl(PortableServer::POA_ptr, const char*);

    virtual PortableServer::POA_ptr _default_POA();

    virtual char* get_id()
	throw(CORBA::SystemException);
};

#endif
