# **********************************************************************
#
# Copyright (c) 2002
# IONA Technologies, Inc.
# Waltham, MA, USA
#
# All Rights Reserved
#
# **********************************************************************

OB_LIBVER	= 412

#
# JThreads/C++ is now included with the ORBacus distribution
#
OB_DIR=$(top_srcdir)\..\ob
JTC_DIR=$(top_srcdir)\..\jtc

CXXFLAGS        = $(CXXFLAGS) /GR

OB_CPPFLAGS     = /I$(OB_DIR)\include
OB_IDLFLAGS     = -I$(OB_DIR)\idl
OB_LIBS         = $(OB_DIR)\lib\ob$(LIBSUFFIX).lib
IDLDIR          = $(OB_DIR)\idl

IDL             = $(OB_DIR)\bin\idl.exe

!if "$(DLL)" == "yes"
PATH		= $(OB_DIR)\lib;$(PATH)
!endif

!if "$(OB_DIR)" != "$(JTC_DIR)"
OB_CPPFLAGS     = $(OB_CPPFLAGS) /I$(JTC_DIR)\include
!endif
OB_LIBS         = $(OB_LIBS) $(JTC_DIR)\lib\jtc$(LIBSUFFIX).lib
OB_DLLLIBS      = $(OB_DLLLIBS) $(JTC_DIR)\lib\jtc$(LIBSUFFIX).lib

!if "$(DLL)" == "yes"
!if "$(OB_DIR)" != "$(JTC_DIR)"
PATH		= $(JTC_DIR)\lib;$(PATH)
!endif
!endif

#
# Undefine if TypeCodes are required for non-proprietary types
#
NO_TYPE_CODES	= --no-type-codes
