// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef SET_DEFAULT_PROPERTIES_H
#define SET_DEFAULT_PROPERTIES_H

class SetDefaultProperties
{
    //
    // This array holds the default property set.
    //
    struct DefaultProperties
    {
	const char* key;
	const char* value;
    };
    static const DefaultProperties defaults_[];
    static CORBA::ULong numDefaults_;

    static void setDefault(OB::Properties_ptr, const char*);

public:

    static void setDefaults(CORBA::ORB_ptr, OB::EventLogger_ptr);
};

#endif
