// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef NAMING_LOGGER_H
#define NAMING_LOGGER_H

namespace CosNaming
{

//
// Forward declarations
//
class NamingDatabase;

//
// This class is used to update the database journal on a regular
// basis.
//
class Compactor : public JTCThread, public JTCMonitor
{
    NamingDatabase* store_;

    long interval_; // timeout interval

    bool stop_;

public:

    Compactor(NamingDatabase*, long);
    virtual ~Compactor();


    virtual void start();

    void halt();

    virtual void run();
};

typedef JTCHandleT< Compactor > CompactorHandle;

} // End of namespace CosNaming

#endif
