# **********************************************************************
#
# Copyright (c) 2002
# IONA Technologies, Inc.
# Waltham, MA, USA
#
# All Rights Reserved
#
# **********************************************************************

top_srcdir	= ..\..

SERVER_NAME	= server.exe
CLIENT_NAME	= client.exe

TARGETS		= $(SERVER_NAME) \
		  $(CLIENT_NAME)

!include $(top_srcdir)\config\Make.rules.mak

COMMON_OBJS	= Example.obj \
                  Example_skel.obj \
                  Currency_impl.obj

SERVER_OBJS	= Example_impl.obj \
		  Server.obj

CLIENT_OBJS	= Client.obj \
                  Account_impl.obj

ALL_CXXFLAGS	= $(CXXFLAGS)
ALL_CPPFLAGS	= /I. $(OB_CPPFLAGS) $(CPPFLAGS)
ALL_LIBS	= $(OB_LIBS) $(LIBS)
 
$(SERVER_NAME): $(COMMON_OBJS) $(SERVER_OBJS)
	-del $@
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(SERVER_OBJS) $(ALL_LIBS)

$(CLIENT_NAME): $(COMMON_OBJS) $(CLIENT_OBJS)
	-del $@
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(CLIENT_OBJS) $(ALL_LIBS)

Example.cpp Example.h: Example.idl
	-del Example.cpp Example.h
	-del Example_skel.cpp Example_skel.h
	$(IDL) Example.idl

Example_skel.cpp Example_skel.h: Example.cpp

!include .windep
