// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef _CALL_SEQUENCE_TESTER_H_
#define _CALL_SEQUENCE_TESTER_H_

#include <Benchmark.h>

class CallSequenceTester
{
public:

    void ShortSeq_UB_in_t(
        Benchmark::SequenceTester_ptr obj,
        long iterations);
	
    void ShortSeq_UB_out_t(
        Benchmark::SequenceTester_ptr obj,
        long iterations);
	
    void ShortSeq_UB_inout_t(
        Benchmark::SequenceTester_ptr obj,
        long iterations);
	
    void ShortSeq_UB_ret_t(
        Benchmark::SequenceTester_ptr obj,
        long iterations);
	
    void FloatSeq_64K_in_t(
        Benchmark::SequenceTester_ptr obj,
        long iterations);
	
    void FloatSeq_64K_out_t(
        Benchmark::SequenceTester_ptr obj,
        long iterations);
	
    void FloatSeq_64K_inout_t(
        Benchmark::SequenceTester_ptr obj,
        long iterations);
	
    void FloatSeq_64K_ret_t(
        Benchmark::SequenceTester_ptr obj,
        long iterations);
	
    void StringSeq_UB_in_t(
        Benchmark::SequenceTester_ptr obj,
        long iterations);
	
    void StringSeq_UB_out_t(
        Benchmark::SequenceTester_ptr obj,
        long iterations);
	
    void StringSeq_UB_inout_t(
        Benchmark::SequenceTester_ptr obj,
        long iterations);
	
    void StringSeq_UB_ret_t(
        Benchmark::SequenceTester_ptr obj,
        long iterations);
	
    void OctetSeq_1M_in_t(
        Benchmark::SequenceTester_ptr obj,
        long iterations);
	
    void OctetSeq_1M_out_t(
        Benchmark::SequenceTester_ptr obj,
        long iterations);
	
    void OctetSeq_1M_inout_t(
        Benchmark::SequenceTester_ptr obj,
        long iterations);
	
    void OctetSeq_1M_ret_t(
        Benchmark::SequenceTester_ptr obj,
        long iterations);
	
    void AnySeq_UB_in_t(
        Benchmark::SequenceTester_ptr obj,
        long iterations);
	
    void AnySeq_UB_out_t(
        Benchmark::SequenceTester_ptr obj,
        long iterations);
	
    void AnySeq_UB_inout_t(
        Benchmark::SequenceTester_ptr obj,
        long iterations);
	
    void AnySeq_UB_ret_t(
        Benchmark::SequenceTester_ptr obj,
        long iterations);
	
    void U2Seq_UB_in_t(
        Benchmark::SequenceTester_ptr obj,
        long iterations);
	
    void U2Seq_UB_out_t(
        Benchmark::SequenceTester_ptr obj,
        long iterations);
	
    void U2Seq_UB_inout_t(
        Benchmark::SequenceTester_ptr obj,
        long iterations);
	
    void U2Seq_UB_ret_t(
        Benchmark::SequenceTester_ptr obj,
        long iterations);
	
    void S2Seq_UB_in_t(
        Benchmark::SequenceTester_ptr obj,
        long iterations);
	
    void S2Seq_UB_out_t(
        Benchmark::SequenceTester_ptr obj,
        long iterations);
	
    void S2Seq_UB_inout_t(
        Benchmark::SequenceTester_ptr obj,
        long iterations);
	
    void S2Seq_UB_ret_t(
        Benchmark::SequenceTester_ptr obj,
        long iterations);
	
    void InterfaceSeq_in_t(
        Benchmark::SequenceTester_ptr obj,
        long iterations);
	
    void InterfaceSeq_out_t(
        Benchmark::SequenceTester_ptr obj,
        long iterations);
	
    void InterfaceSeq_inout_t(
        Benchmark::SequenceTester_ptr obj,
        long iterations);
	
    void InterfaceSeq_ret_t(
        Benchmark::SequenceTester_ptr obj,
        long iterations);
	

};

#endif // !_CALL_SEQUENCE_TESTER_H_
