# **********************************************************************
#
# Copyright (c) 2002
# IONA Technologies, Inc.
# Waltham, MA, USA
#
# All Rights Reserved
#
# **********************************************************************

top_srcdir	= ..\..

SERVER_NAME	= server.exe
CLIENT_NAME	= client.exe

TARGETS		= $(SERVER_NAME) \
		  $(CLIENT_NAME)

!include $(top_srcdir)\config\Make.rules.mak

COMMON_OBJS	= Benchmark.obj

SERVER_OBJS	= Server.obj \
		  Benchmark_skel.obj \
		  BasicTester_impl.obj \
		  UserTypeTester_impl.obj \
		  SequenceTester_impl.obj

CLIENT_OBJS	= Client.obj \
		  CallBasicTester.obj \
		  CallUserTypeTester.obj \
		  CallSequenceTester.obj

ALL_CXXFLAGS	= $(CXXFLAGS)
ALL_CPPFLAGS	= /I. $(OB_CPPFLAGS) $(CPPFLAGS)
ALL_LIBS	= $(OB_LIBS) $(LIBS)
 
$(SERVER_NAME): $(COMMON_OBJS) $(COMMON_SOBJS) $(SERVER_OBJS)
	-del $@
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(COMMON_SOBJS) $(SERVER_OBJS) $(ALL_LIBS)

$(CLIENT_NAME): $(COMMON_OBJS) $(CLIENT_OBJS)
	-del $@
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(CLIENT_OBJS) $(ALL_LIBS)

Benchmark.cpp Benchmark.h: Benchmark.idl
	-del Benchmark.cpp Benchmark.h
	-del Benchmark_skel.cpp Benchmark_skel.h
	$(IDL) Benchmark.idl

Benchmark_skel.cpp Benchmark_skel.h : Benchmark.cpp

!include .windep
