#!/bin/perl
# **********************************************************************
#
# Copyright (c) 2002
# IONA Technologies, Inc.
# Waltham, MA, USA
#
# All Rights Reserved
#
# **********************************************************************

for($i = 0 ; $i < 5 ; $i++)
{
    open(INPUT, 'sh run |');

    while(<INPUT>)
    {
	chomp;

	/^.*\/(server.*)$/ && ($server = $1);
	/^.*\/(client.*)$/ && ($client = $1);
	
	if(/^Time per method call: ([\.\d]+) ms/)
	{
	    $key = "$server / $client";

	    if($result{$key} eq "")
	    {
		$result{$key} = $1;
	    }
	    elsif($result{$key} > $1)
	    {
		$result{$key} = $1;
	    }
	}
    }
}

foreach $key (sort (keys %result))
{
    print "$key: $result{$key}\n";
}
