# **********************************************************************
#
# Copyright (c) 2002
# IONA Technologies, Inc.
# Waltham, MA, USA
#
# All Rights Reserved
#
# **********************************************************************

top_srcdir	= ..\..

SERVER_NAME	= server.exe
CLIENT_NAME	= client.exe

TARGETS		= $(SERVER_NAME) \
		  $(CLIENT_NAME)

!include $(top_srcdir)\config\Make.rules.mak

COMMON_OBJS	= PIDemo.obj \
		  LoggerPolicy.obj \
		  LoggerPolicy_impl.obj \
		  CallStack.obj \
		  RILogger.obj \
		  CRILogger_impl.obj \
		  SRILogger_impl.obj \
		  CorbaOut.obj

SERVER_OBJS	= Server.obj \
		  PIDemo_skel.obj \
		  PIDemo_impl.obj \
		  PIDemoDSI_impl.obj

CLIENT_OBJS	= Client.obj

ALL_CXXFLAGS	= $(CXXFLAGS)
ALL_CPPFLAGS	= /I. $(OB_CPPFLAGS) $(CPPFLAGS)
ALL_LIBS	= $(OB_LIBS) $(LIBS)

$(SERVER_NAME): $(COMMON_OBJS) $(SERVER_OBJS)
	-del $@
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(SERVER_OBJS) $(ALL_LIBS)
 
$(CLIENT_NAME): $(COMMON_OBJS) $(CLIENT_OBJS)
	-del $@
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(CLIENT_OBJS) $(ALL_LIBS)

PIDemo.cpp PIDemo.h: PIDemo.idl
	-del PIDemo.cpp PIDemo.h
	-del PIDemo_skel.cpp PIDemo_skel.h
	$(IDL) -I$(top_srcdir)/idl --with-interceptor-args PIDemo.idl

PIDemo_skel.cpp PIDemo_skel.h: PIDemo.cpp

LoggerPolicy.cpp LoggerPolicy.h: LoggerPolicy.idl
	-del LoggerPolicy.cpp LoggerPolicy.h
	$(IDL) -I$(top_srcdir)/idl LoggerPolicy.idl

CallStack.cpp CallStack.h: CallStack.idl
	-del CallStack.cpp CallStack.h
	$(IDL) -I$(top_srcdir)/idl --no-skeletons CallStack.idl

!include .windep
