// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef EMPLOYEEFACTORY_IMPL_H
#define EMPLOYEEFACTORY_IMPL_H

//
// Implementation of a type-specific value factory
//
class EmployeeFactory_impl : public virtual Employee_init
{
    //
    // Inherited from CORBA::ValueFactoryBase
    //
    virtual CORBA::ValueBase* create_for_unmarshal();

public:
    
    virtual Employee* create(CORBA::Float salary);
};

#endif
