// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef OB_COLLOCATED_SERVER_FWD_H
#define OB_COLLOCATED_SERVER_FWD_H

#include <OB/Template.h>

namespace OB
{

class CollocatedServer;
typedef CollocatedServer* CollocatedServer_ptr;

class DowncallUpcallPair;
typedef DowncallUpcallPair* DowncallUpcallPair_ptr;

} // End of namespace OB

void OBDuplicate(OB::CollocatedServer_ptr);
void OBRelease(OB::CollocatedServer_ptr);

void OBDuplicate(OB::DowncallUpcallPair_ptr);
void OBRelease(OB::DowncallUpcallPair_ptr);

namespace OB
{

typedef ObjVar< CollocatedServer > CollocatedServer_var;
typedef ObjVar< DowncallUpcallPair > DowncallUpcallPair_var;
typedef ObjOut< DowncallUpcallPair > DowncallUpcallPair_out;

} // End of namespace OB

#endif
