// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef OB_GIOP_SERVER_STARTER_FWD_H
#define OB_GIOP_SERVER_STARTER_FWD_H

#include <OB/Template.h>

namespace OB
{

class GIOPServerStarter;
typedef GIOPServerStarter* GIOPServerStarter_ptr;

class GIOPServerStarterReactive;
typedef GIOPServerStarterReactive* GIOPServerStarterReactive_ptr;

class GIOPServerStarterThreaded;
typedef GIOPServerStarterThreaded* GIOPServerStarterThreaded_ptr;

} // End of namespace OB

void OBDuplicate(OB::GIOPServerStarter_ptr);
void OBRelease(OB::GIOPServerStarter_ptr);

//  void OBDuplicate(OB::GIOPServerStarterReactive_ptr);
//  void OBRelease(OB::GIOPServerStarterReactive_ptr);

void OBDuplicate(OB::GIOPServerStarterThreaded_ptr);
void OBRelease(OB::GIOPServerStarterThreaded_ptr);

namespace OB
{

typedef ObjVar< GIOPServerStarter > GIOPServerStarter_var;

//  typedef ObjVar< GIOPServerStarterReactive > GIOPServerStarterReactive_var;

typedef ObjVar< GIOPServerStarterThreaded > GIOPServerStarterThreaded_var;

} // End of namespace OB

#endif
