// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************
//
#ifndef OB_URL_UTIL_H
#define OB_URL_UTIL_H

namespace OB
{

// 
// Remove URL escape sequences from a string. Returns a pointer to
// the true end of the escaped URL string, in order to prevent
// strings that end in %00 escapes from being misinterpreted.
//
char* UnescapeURL(char*);

} // End of namespace OB

#endif
