// **********************************************************************
//
// Copyright (c) 2001
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef TEST_INTF_STUB_TIMEOUT_DSI_IMPL_H
#define TEST_INTF_STUB_TIMEOUT_DSI_IMPL_H

#include <TestIntfStubTimeout.h>

class TestIntfStubTimeoutDSI_impl :
    virtual public PortableServer::DynamicImplementation
{
    CORBA::ORB_var m_orb;
    ORBTest_StubTimeout::Intf_var m_ti;

public:

    TestIntfStubTimeoutDSI_impl(
	CORBA::ORB_ptr orb,
	ORBTest_StubTimeout::Intf_ptr ti
    );

    virtual CORBA::RepositoryId
    _primary_interface(
	const PortableServer::ObjectId&,
	PortableServer::POA_ptr
    );

    virtual CORBA::Boolean
    _is_a(
	const char*
    )
	throw (
	    CORBA::SystemException
	);

    virtual void
    invoke(
	CORBA::ServerRequest_ptr
    )
	throw();
};

#endif
