// **********************************************************************
//
// Copyright (c) 2001
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#include <OB/CORBA.h>

#include <TestIntfStubTimeout_impl.h>

#include <limits.h>

#ifdef HAVE_UNISTD_H
#   include <unistd.h>
#endif

using namespace CORBA;

TestIntfStubTimeout_impl::TestIntfStubTimeout_impl()
{
}

void
TestIntfStubTimeout_impl::sleep_oneway(
    ULong sec
)
    throw (SystemException)
{
    JTCSynchronized synchronized(*this);

#ifdef WIN32
    Sleep(sec * 1000);
#else
    sleep(sec);
#endif
}

void
TestIntfStubTimeout_impl::sleep_twoway(
    ULong sec
)
    throw (SystemException)
{
    JTCSynchronized synchronized(*this);

#ifdef WIN32
    Sleep(sec * 1000);
#else
    sleep(sec);
#endif
}
