// **********************************************************************
//
// Copyright (c) 2001
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef _MAIN_TEST_OBJECT_STUB_TIMEOUT_H_
#define _MAIN_TEST_OBJECT_STUB_TIMEOUT_H_

#include "TestObject.h"

class TestObjectStubTimeout : public TestObject
{
    bool m_local;

public:
    TestObjectStubTimeout(
	CORBA::ORB_ptr orb,
	ORBTest::Intf_ptr test_intf,
	bool local
    );

    virtual ~TestObjectStubTimeout();

    virtual bool
    is_supported(
	CORBA::Object_ptr obj
    );

    virtual void
    test_SII(
	CORBA::Object_ptr obj
    );

    virtual void
    test_DII(
	CORBA::Object_ptr obj
    );
};

#endif /* !_MAIN_TEST_OBJECT_STUB_TIMEOUT_H_ */
