# **********************************************************************
#
# Copyright (c) 2002
# IONA Technologies, Inc.
# Waltham, MA, USA
#
# All Rights Reserved
#
# **********************************************************************

top_srcdir	= ..\..

RECEIVER_NAME	= receiver.exe
SENDER_NAME	= sender.exe

TARGETS		= $(SENDER_NAME) \
		  $(RECEIVER_NAME)

!include $(top_srcdir)\config\Make.rules.mak

COMMON_OBJS	= FileTransfer.obj

RECEIVER_OBJS	= FileTransfer_skel.obj \
		  FileTransfer_impl.obj \
		  Receiver.obj

SENDER_OBJS	= Sender.obj

!if !defined(DLL)
!if !defined(DEBUG)
UDP_LIB		= $(top_srcdir)\lib\OCI_udp.lib
!else
UDP_LIB		= $(top_srcdir)\lib\OCI_udpd.lib
!endif
!endif

ALL_CXXFLAGS	= $(CXXFLAGS)
ALL_CPPFLAGS	= /I. /I$(top_srcdir)/include $(OB_CPPFLAGS) $(CPPFLAGS)
ALL_LIBS	= $(UDP_LIB) $(OB_LIBS) $(LIBS)
 
$(RECEIVER_NAME): $(COMMON_OBJS) $(RECEIVER_OBJS)
	-del $@
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(RECEIVER_OBJS) $(ALL_LIBS)

$(SENDER_NAME): $(COMMON_OBJS) $(SENDER_OBJS)
	-del $@
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(SENDER_OBJS) $(ALL_LIBS)

FileTransfer.cpp FileTransfer.h: FileTransfer.idl
	-del FileTransfer.cpp FileTransfer.h
	-del FileTransfer_skel.cpp FileTransfer_skel.h
	$(IDL) --no-type-codes FileTransfer.idl

FileTransfer_skel.cpp FileTransfer_skel.h: FileTransfer.cpp

!include .windep
