// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#include <OB/CORBA.h>

#include <Hello_impl.h>

#ifdef HAVE_STD_IOSTREAM
using namespace std;
#endif

Hello_impl::Hello_impl(CORBA::ORB_ptr orb)
{
    orb_ = CORBA::ORB::_duplicate(orb);
}

void
Hello_impl::say_hello()
    throw(CORBA::SystemException)
{
    cout << "Hello World!" << endl;
}

void
Hello_impl::shutdown()
    throw(CORBA::SystemException)
{
    orb_ -> shutdown(false);
}
