// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef HELLO_IMPL_H
#define HELLO_IMPL_H

#include <Hello_skel.h>

class Hello_impl : public POA_Hello,
		   public PortableServer::RefCountServantBase
{
    PortableServer::POA_var poa_;
    CORBA::String_var name_;

public:
    Hello_impl(PortableServer::POA_ptr, const char*);

    virtual PortableServer::POA_ptr _default_POA();

    virtual char* say_hello()
        throw(CORBA::SystemException);
};

#endif
