// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef NT_Balancer_SERVICE_H
#define NT_Balancer_SERVICE_H

#include <BalancerLogger.h>
#include <BalancerServer.h>

class NTBalancerService : public OB::NTService
{
    //
    // The ORB
    //
    CORBA::ORB_var orb_;

    //
    // The Balancer
    //
    LoadBalancing::BalancerServer* balancer_;

    //
    // Has the service been stopped?
    //
    bool stopped_;

    void orb_run(OB::Logger_ptr, OB::Properties_ptr);

public:

    NTBalancerService();
    
    virtual void start(int, char**, OB::Logger_ptr);
    virtual void stop();
};

#endif
