// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#include <OB/CORBA.h>

#include <Example_skel.h>

#include <Currency_impl.h>

// ----------------------------------------------------------------------
// Currency_impl constructor and destructor
// ----------------------------------------------------------------------

//
// IDL:Currency:1.0
//
Currency_impl::Currency_impl()
{
}

Currency_impl::~Currency_impl()
{
}

// ----------------------------------------------------------------------
// Current_impl public member implementation
// ----------------------------------------------------------------------

CORBA::ValueBase*
Currency_impl::_copy_value()
{
    return new Currency_impl;
}

//
// IDL:Describable/get_description:1.0
//
char*
Currency_impl::get_description()
{
    return CORBA::string_dup("USD 193.67");
}

// ----------------------------------------------------------------------
// CurrencyFactory_impl private member implementation
// ----------------------------------------------------------------------

CORBA::ValueBase*
CurrencyFactory_impl::create_for_unmarshal()
{
    return new Currency_impl;
}

// ----------------------------------------------------------------------
// CurrencyFactory_impl constructor and destructor
// ----------------------------------------------------------------------

//
// Factory for IDL:Currency:1.0
//
CurrencyFactory_impl::CurrencyFactory_impl()
{
}

CurrencyFactory_impl::~CurrencyFactory_impl()
{
}
