# **********************************************************************
#
# Copyright (c) 2002
# IONA Technologies, Inc.
# Waltham, MA, USA
#
# All Rights Reserved
#
# **********************************************************************

top_srcdir	= ..\..

SERVER_NAME	= server.exe
SERVER2_NAME	= server2.exe
CLIENT_NAME	= client.exe

TARGETS		= $(SERVER_NAME) \
		  $(SERVER2_NAME) \
		  $(CLIENT_NAME)

!include $(top_srcdir)\config\Make.rules.mak

COMMON_OBJS	= Hello.obj

COMMON_SOBJS    = FileLogger.obj \
		  Hello_skel.obj \
		  Hello_impl.obj

SERVER_OBJS	= Server.obj

SERVER2_OBJS	= Server2.obj

CLIENT_OBJS	= Client.obj

ALL_CXXFLAGS	= $(CXXFLAGS)
ALL_CPPFLAGS	= /I. $(OB_CPPFLAGS) $(CPPFLAGS)
ALL_LIBS	= $(OB_LIBS) $(LIBS)
 
$(SERVER_NAME): $(COMMON_OBJS) $(COMMON_SOBJS) $(SERVER_OBJS)
	-del $@
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(COMMON_SOBJS) $(SERVER_OBJS) $(ALL_LIBS)

$(SERVER2_NAME): $(COMMON_OBJS) $(COMMON_SOBJS) $(SERVER2_OBJS)
	-del $@
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(COMMON_SOBJS) $(SERVER2_OBJS) $(ALL_LIBS)

$(CLIENT_NAME): $(COMMON_OBJS) $(CLIENT_OBJS)
	-del $@
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(CLIENT_OBJS) $(ALL_LIBS)

Hello.cpp Hello.h: Hello.idl
	-del Hello.cpp Hello.h
	-del Hello_skel.cpp Hello_skel.h
	$(IDL) --no-type-codes Hello.idl

Hello_skel.cpp Hello_skel.h : Hello.cpp

!include .windep
