# **********************************************************************
#
# Copyright (c) 2002
# IONA Technologies, Inc.
# Waltham, MA, USA
#
# All Rights Reserved
#
# **********************************************************************

top_srcdir	= ..\..

PEER1_NAME	= peer1.exe
PEER2_NAME	= peer2.exe

TARGETS		= $(PEER1_NAME) \
		  $(PEER2_NAME)

!include $(top_srcdir)\config\Make.rules.mak

COMMON_OBJS	= Peer.obj \
		  Peer_skel.obj \
		  Peer_impl.obj

PEER1_OBJS	= Peer1.obj
PEER2_OBJS	= Peer2.obj

ALL_CXXFLAGS	= $(CXXFLAGS)
ALL_CPPFLAGS	= /I. $(OB_CPPFLAGS) $(CPPFLAGS)
ALL_LIBS	= $(OB_LIBS) $(LIBS)
 
$(PEER1_NAME): $(COMMON_OBJS) $(PEER1_OBJS)
	-del $@
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(PEER1_OBJS) $(ALL_LIBS)

$(PEER2_NAME): $(COMMON_OBJS) $(PEER2_OBJS)
	-del $@
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(PEER2_OBJS) $(ALL_LIBS)

Peer.cpp Peer.h: Peer.idl
	-del Peer.cpp Peer.h
	-del Peer_skel.cpp Peer_skel.h
	$(IDL) --no-type-codes Peer.idl

Peer_skel.cpp Peer_skel.h: Peer.cpp

!include .windep
