// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef I_IMPL_H
#define I_IMPL_H

#include <Demo_skel.h>

namespace Demo
{

class I_impl : public POA_Demo::I,
	       public PortableServer::RefCountServantBase
{
    I_impl(const I_impl&);
    void operator=(const I_impl&);

public:

    I_impl();
    ~I_impl();

    //
    // Standard IDL-to-C++ mapping
    //

    virtual void method1()
        throw(CORBA::SystemException) { }
    virtual void method2()
        throw(CORBA::SystemException) { }
    virtual void method3()
        throw(CORBA::SystemException) { }

    virtual CORBA::Long attribute1()
        throw(CORBA::SystemException) { return 0; }
    virtual void attribute1(CORBA::Long)
        throw(CORBA::SystemException) { }

    virtual CORBA::Long attribute2()
        throw(CORBA::SystemException) { return 0; }
    virtual void attribute2(CORBA::Long)
        throw(CORBA::SystemException) { }

    virtual CORBA::Long attribute3()
        throw(CORBA::SystemException) { return 0; }
    virtual void attribute3(CORBA::Long)
        throw(CORBA::SystemException) { }

    virtual Demo::BaseValue* get_value()
        throw(CORBA::SystemException);
};

} // End of namespace Demo

#endif
