// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#include <OB/CORBA.h>

#include <Simple_impl.h>

#ifdef HAVE_STD_IOSTREAM
using namespace std;
#endif

SimpleInherit_impl::SimpleInherit_impl(
    PortableServer::POA_ptr poa
) :
    m_poa(PortableServer::POA::_duplicate(poa))
{
}

PortableServer::POA_ptr
SimpleInherit_impl::_default_POA()
{
    return PortableServer::POA::_duplicate(m_poa);
}

void
SimpleInherit_impl::call_me()
    throw(CORBA::SystemException)
{
    cout << "Calling SimpleInherit_impl::call_me()" << endl;
}

SimpleTie_impl::SimpleTie_impl()
{
}

void
SimpleTie_impl::call_me()
    throw(CORBA::SystemException)
{
    cout << "Calling SimpleTie_impl::call_me()" << endl;
}
