// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef SIMPLE_IMPL_H
#define SIMPLE_IMPL_H

#include <Simple_skel.h>

class SimpleInherit_impl : public POA_Simple::SimpleObject,
			   public PortableServer::RefCountServantBase
{
    //
    // The servants default POA
    //
    PortableServer::POA_var m_poa;

public:

    SimpleInherit_impl(
        PortableServer::POA_ptr poa
    );

    virtual PortableServer::POA_ptr
    _default_POA();

public:

    SimpleInherit_impl();

    virtual void call_me()
        throw(CORBA::SystemException);
};

class SimpleTie_impl
{

public:

    SimpleTie_impl();

    virtual void call_me()
        throw(CORBA::SystemException);
};

#endif
