// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef EMPLOYEE_IMPL_H
#define EMPLOYEE_IMPL_H

class Employee_impl : public virtual OBV_Employee,
                      public virtual CORBA::DefaultValueRefCountBase
{
protected:
    
    Employee_impl();
    Employee_impl(CORBA::Float salary);

    friend class EmployeeFactory_impl;

public:

    //
    // Inherited from CORBA::ValueBase
    //
    virtual CORBA::ValueBase* _copy_value();

    //
    // IDL:Employee/print_check:1.0
    //
    virtual void print_check();
};

#endif
