// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef IMR_UTIL_H
#define IMR_UTIL_H

#include <OB/IMRTypes.h>

class IMRUtil
{
public:

    static const char* serverStatusToStr(IMR::ServerStatus);
    static const char* poaStatusToStr(IMR::POAStatus);
    static bool poacmp(const IMR::POAName&, const IMR::POAName&,
    		       bool skipFirst = false);
    static IOP::Codec_ptr codec(CORBA::ORB_ptr);
};

#endif
