// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef NT_IMR_SERVICE_H
#define NT_IMR_SERVICE_H

#include <IMRLogger.h>
#include <IMRServer.h>
#include <OADServer.h>

class NTIMRService : public OB::NTService
{
    //
    // Has the service been stopped?
    //
    bool stopped_;

    //
    // The ORB
    //
    CORBA::ORB_var orb_;

    //
    // The IMR
    //
    IMR::IMRServer* imrServer_;

    //
    // The OAD
    //
    OAD::OADServer* oadServer_;

    void orb_run(OB::Logger_ptr, OB::Properties_ptr);

public:

    NTIMRService();
    
    virtual void start(int, char**, OB::Logger_ptr);
    virtual void stop();
};

#endif
