// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef SERVER_OBSERVER_IMPL_H
#define SERVER_OBSERVER_IMPL_H

#include <OB/IMR.h>
#include <IMROAD_skel.h>

namespace IMR
{

class ActiveStateFactory;

class ServerObserver_impl : public POA_IMR::ServerObserver
{
    PortableServer::POA_var poa_;
    ActiveStateFactory* factory_;

public:

    ServerObserver_impl(PortableServer::POA_ptr, ActiveStateFactory*);
    ~ServerObserver_impl();

    //
    // Standard IDL to C++ Mapping
    //

    //
    // IDL:ooc.com/IMR/ServerObserver/server_died:1.0
    //
    virtual void server_died(const char*, const char*)
	throw(CORBA::SystemException);

    virtual PortableServer::POA_ptr _default_POA();
};

}; // End namespace IMR



#endif
