// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef OB_GIOP_CLIENT_WORKER_FWD_H
#define OB_GIOP_CLIENT_WORKER_FWD_H

#include <OB/Template.h>

namespace OB
{

class GIOPClientWorker;
typedef GIOPClientWorker* GIOPClientWorker_ptr;

class GIOPClientWorkerReactive;
typedef GIOPClientWorkerReactive* GIOPClientWorkerReactive_ptr;

class GIOPClientWorkerThreaded;
typedef GIOPClientWorkerThreaded* GIOPClientWorkerThreaded_ptr;

} // End of namespace OB

void OBDuplicate(OB::GIOPClientWorker_ptr);
void OBRelease(OB::GIOPClientWorker_ptr);

//  void OBDuplicate(OB::GIOPClientWorkerReactive_ptr);
//  void OBRelease(OB::GIOPClientWorkerReactive_ptr);

void OBDuplicate(OB::GIOPClientWorkerThreaded_ptr);
void OBRelease(OB::GIOPClientWorkerThreaded_ptr);

namespace OB
{

typedef ObjVar< GIOPClientWorker > GIOPClientWorker_var;

//  typedef ObjVar< GIOPClientWorkerReactive > GIOPClientWorkerReactive_var;

typedef ObjVar< GIOPClientWorkerThreaded > GIOPClientWorkerThreaded_var;

} // End of namespace OB

#endif
