// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef OB_GIOP_SERVER_WORKER_FWD_H
#define OB_GIOP_SERVER_WORKER_FWD_H

#include <OB/Template.h>

namespace OB
{

class GIOPServerWorker;
typedef GIOPServerWorker* GIOPServerWorker_ptr;

class GIOPServerWorkerReactive;
typedef GIOPServerWorkerReactive* GIOPServerWorkerReactive_ptr;

class GIOPServerWorkerThreaded;
typedef GIOPServerWorkerThreaded* GIOPServerWorkerThreaded_ptr;

} // End of namespace OB

void OBDuplicate(OB::GIOPServerWorker_ptr);
void OBRelease(OB::GIOPServerWorker_ptr);

//  void OBDuplicate(OB::GIOPServerWorkerReactive_ptr);
//  void OBRelease(OB::GIOPServerWorkerReactive_ptr);

void OBDuplicate(OB::GIOPServerWorkerThreaded_ptr);
void OBRelease(OB::GIOPServerWorkerThreaded_ptr);

namespace OB
{

typedef ObjVar< GIOPServerWorker > GIOPServerWorker_var;
typedef ObjSeq< GIOPServerWorker, int > GIOPServerWorkerSeq;

//  typedef ObjVar< GIOPServerWorkerReactive > GIOPServerWorkerReactive_var;

typedef ObjVar< GIOPServerWorkerThreaded > GIOPServerWorkerThreaded_var;

} // End of namespace OB

#endif
