// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef OB_IIOP_UTIL_H
#define OB_IIOP_UTIL_H

#include <OB/Any.h>
#include <OB/TypeCodeConst.h>
#include <OB/OCITypes.h>

namespace OB
{
 
IOP::IOR* IIOPCreateIOR(const char*, CORBA::UShort, const char*,
			const OCI::ProfileInfo&);
 
IOP::IOR* IIOPCreateIOR(const IOP::IOR&, const char*,
			const OCI::ObjectKey&);

bool IIOPExtractProfileInfo(const OCI::IOR&, OCI::ProfileInfo_out);

bool IIOPHostMatch(const char*, const char*, bool);

void IIOPExtractAllProfileInfos(const OCI::IOR&, OCI::ProfileInfoSeq&,
                                bool, const char*, CORBA::UShort, bool);


} // End of namespace OB

#endif
