// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#include <OB/Basic.h>
#include <OB/Template.h>
#include <OB/Principal.h>

using namespace CORBA;
using namespace OB;

// ----------------------------------------------------------------------
// External, non-inline duplicate/release for templates
// ----------------------------------------------------------------------

void
OBDuplicate(CORBA::Principal_ptr p)
{
    if(p)
	p -> _OB_incRef();
}

void
OBRelease(CORBA::Principal_ptr p)
{
    if(p)
	p -> _OB_decRef();
}
