// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef CPP_UTIL_H
#define CPP_UTIL_H

#ifndef OB_TRANSLATOR_IMPORT
#   ifdef OB_DLL
#       define OB_TRANSLATOR_IMPORT __declspec(dllimport)
#   else
#       define OB_TRANSLATOR_IMPORT /**/
#   endif
#endif

//
// Get the C preprocessor
//
char* IdlGetCPreprocessor(const char*);

//
// The OBProcessIO class
//
class OBProcessIO
{
    FILE* fp_;

#ifdef WIN32

    DWORD lastError_;
    char tempFile_[MAX_PATH];

    void runRedirect(const char*, const char*);

#endif // WIN32

public:

    OBProcessIO();
    virtual ~OBProcessIO();

    //
    // Get the file handle for access to process output
    //
    FILE* open(const char* command, const char* type);
    int close();

#ifdef WIN32

    DWORD getLastError() { return lastError_; }

#endif
};

#endif
