# **********************************************************************
#
# Copyright (c) 2002
# IONA Technologies, Inc.
# Waltham, MA, USA
#
# All Rights Reserved
#
# **********************************************************************

top_srcdir	= ..\..

IORDUMP_NAME	= $(top_srcdir)\bin\iordump.exe
IORMERGE_NAME	= $(top_srcdir)\bin\iormerge.exe
ANYDUMP_NAME	= $(top_srcdir)\bin\anydump.exe
REGUPDATE_NAME  = $(top_srcdir)\bin\regupdate.exe

TARGETS		= $(IORDUMP_NAME) \
		  $(IORMERGE_NAME) \
		  $(ANYDUMP_NAME) \
		  $(REGUPDATE_NAME)

PDB_FILES	= $(TARGETS:.exe=.pdb)

!include $(top_srcdir)\config\Make.rules.mak

IORDUMP_OBJS	= IORDump.obj
IORMERGE_OBJS	= IORMerge.obj
ANYDUMP_OBJS	= AnyDump.obj
REGUPDATE_OBJS	= RegUpdate.obj

ALL_CXXFLAGS	= $(CXXFLAGS)
ALL_CPPFLAGS	= /I. /Iwininclude $(OB_CPPFLAGS) $(CPPFLAGS)
ALL_LIBS	= $(LIB_NAME) $(OB_LIBS) $(LIBS)

$(IORDUMP_NAME): $(COMMON_OBJS) $(IORDUMP_OBJS)
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(IORDUMP_OBJS) $(ALL_LIBS)

$(IORMERGE_NAME): $(COMMON_OBJS) $(IORMERGE_OBJS)
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(IORMERGE_OBJS) $(ALL_LIBS)

$(ANYDUMP_NAME): $(COMMON_OBJS) $(ANYDUMP_OBJS)
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(ANYDUMP_OBJS) $(ALL_LIBS)

$(REGUPDATE_NAME): $(COMMON_OBJS) $(REGUPDATE_OBJS)
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(REGUPDATE_OBJS) $(ALL_LIBS)

install:: all
	copy $(IORDUMP_NAME) $(bindir)
	copy $(IORMERGE_NAME) $(bindir)
	copy $(ANYDUMP_NAME) $(bindir)
	copy $(REGUPDATE_NAME) $(bindir)

min:: all

install_min:: install

!include .windep
