// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef TEST_IMPL_H
#define TEST_IMPL_H

#include <TestCodeSets_skel.h>

class TestCodeSets_impl : public POA_TestCodeSets
{
    CORBA::ORB_var orb_;

public:
    TestCodeSets_impl(CORBA::ORB_ptr);

    virtual CORBA::Char testChar(CORBA::Char)
        throw(CORBA::SystemException);
    virtual char* testString(const char*)
	throw(CORBA::SystemException);

    virtual CORBA::WChar testWChar(CORBA::WChar)
        throw(CORBA::SystemException);
    virtual wchar_t* testWString(const wchar_t*)
	throw(CORBA::SystemException);

    virtual void deactivate()
	throw(CORBA::SystemException);
};

#endif
